package com.liquidnet.service.feign.goblin.api;

import com.liquidnet.service.base.ResponseDto;
import feign.hystrix.FallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Component
/*@FeignClient(name = "liquidnet-service-goblin",
        contextId = "FeignGoblinArClient",
        url = "${liquidnet.service.goblin.url}",
        fallback = FallbackFactory.Default.class)*/
public interface FeignGoblinArClient {

    @PostMapping("goblin/inner/ar/data")
    ResponseDto<Boolean> getArData(@RequestParam("tag") String tag,
                                   @RequestParam("performanceId") String performanceId);
}
